#%{!?tetex:%define tetex 1}

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	A text formatting package based on SGML.
Name: 		linuxdoc-tools
Version: 	0.9.21
Release: 	3
License: 	Freely distributable
Group: 		Publishing
Source: 	http://http.us.debian.org/debian/pool/main/l/linuxdoc-tools/%{name}_%{version}.tar.gz
Patch0: 	linuxdoc-tools-0.9.13-letter.patch
Patch1: 	linuxdoc-tools-0.9.20-strip.patch
Patch2: 	linuxdoc-tools-0.9.20-lib64.patch
Patch3: 	linuxdoc-tools-0.9.21-badif.patch
Patch4: 	linuxdoc-tools-fi.patch
Requires: 	openjade
Url: 		http://packages.qa.debian.org/l/linuxdoc-tools.html
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires: 	flex sgml-common openjade groff autoconf
Requires: 	gawk groff
# this should anyway be only a "suggest"
#%if %{tetex}
#Requires: tetex-latex
#%endif
Provides: 	sgml-tools
Provides: 	linuxdoc-sgml

%description
Linuxdoc-tools is a text formatting suite based on SGML (Standard
Generalized Markup Language), using the LinuxDoc document type.
Linuxdoc-tools allows you to produce LaTeX, HTML, GNU info, LyX, RTF,
plain text (via groff), and other format outputs from a single SGML
source.  Linuxdoc-tools is intended for writing technical software
documentation.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .strip
%patch2 -p1 -b .lib64
%patch3 -p1 -b .badif
%patch4 -p1 -b .fi

%build
%configure --with-installed-nsgmls --with-installed-iso-entities
# Packaging brain-damage
pushd entity-map
autoconf
%configure
popd

make OPTIMIZE="$RPM_OPT_FLAGS" %{?_smp_mflags}
perl -pi -e 's,\$main::prefix/share/sgml/iso-entities-8879.1986/iso-entities.cat,/usr/share/sgml/sgml-iso-entities-8879.1986/catalog,' \
           lib/LinuxDocTools.pm

%install
rm -rf $RPM_BUILD_ROOT
#eval `perl '-V:installvendorlib'`
#%define installvendorlib /usr/lib/perl5/vendor_perl/5.8.8
#mkdir -p $RPM_BUILD_ROOT//usr/lib/perl5/vendor_perl/5.8.8
#%makeinstall perl5libdir=$RPM_BUILD_ROOT//usr/lib/perl5/vendor_perl/5.8.8
%makeinstall
mv %{buildroot}%{_docdir}/%{name} %{buildroot}%{_docdir}/%{name}-%{version}
perl -pi -e 's,/usr/share/sgml/iso-entities-8879.1986/iso-entities.cat,\$main::prefix/share/sgml/sgml-iso-entities-8879.1986/catalog,' \
           %{buildroot}%{_datadir}/%{name}/LinuxDocTools.pm

# Some files need moving around.
rm -f %{buildroot}%{_datadir}/%{name}/epsf.*
rm -f %{buildroot}%{_datadir}/%{name}/url.sty
install -d %{buildroot}%{_datadir}/texmf/tex/latex/misc
mv %{buildroot}%{_datadir}/%{name}/*.sty \
	%{buildroot}%{_datadir}/texmf/tex/latex/misc

cat > doc/COPYRIGHT <<EOF
(C) International Organization for Standardization 1986
Permission to copy in any form is granted for use with
conforming SGML systems and applications as defined in
ISO 8879, provided this notice is included in all copies.
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash > /dev/null 2>&1
exit 0

%postun
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash > /dev/null 2>&1
exit 0

%files
%defattr (-,root,root)
%doc %{_docdir}/%{name}-%{version}
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/entity-map
%{_datadir}/texmf/tex/latex/misc/*.sty
%dir %{_prefix}/lib*/perl5/Text
%{_prefix}/lib*/perl5/Text/EntityMap.pm
/usr/lib/perl5/vendor_perl/5.8.8/Text/EntityMap.pm
%{_mandir}/*/*

%changelog
* Wed Mar 26 2008 Christian Wasem <wasem@ccux-linux.de> 0.9.21-3
- changed package group to Publishing
* Sun Jul 16 2006 Christian Metzen <metzench@ccux-linux.de> 0.9.21-2
- small fixes
* Sun Jul 16 2006 Christian Metzen <metzench@ccux-linux.de> 0.9.21-1
- Initial release
